"""empty message

Revision ID: f980032183da
Revises: bcb926966e11
Create Date: 2022-08-16 11:29:07.202533

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'f980032183da'
down_revision = 'bcb926966e11'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('mig_Results')
    op.drop_table('mig_Users')
    op.drop_index('player', table_name='Results')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('player', 'Results', ['player'], unique=False)
    op.create_table('mig_Users',
    sa.Column('Uid', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    sa.Column('User', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('Vorname', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('Name', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('Adresse', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('PLZ', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    sa.Column('Ort', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('Land', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('Mail', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    mysql_collate='utf8mb4_unicode_ci',
    mysql_default_charset='utf8mb4',
    mysql_engine='InnoDB'
    )
    op.create_table('mig_Results',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    sa.Column('user_id', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('game', mysql.VARCHAR(collation='utf8mb4_unicode_ci', length=50), nullable=True),
    sa.Column('level', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    sa.Column('score', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    sa.Column('ranking', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True),
    mysql_collate='utf8mb4_unicode_ci',
    mysql_default_charset='utf8mb4',
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###
